/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;


/**
 * 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-17 11:02:43  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "")
public class BugTemplateStatus extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_bugStatusCode = "bugStatusCode";
  public static final String KEY_bugStatus = "bugStatus";
  public static final String KEY_idx = "idx";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_isEndStatus = "isEndStatus";


  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 50, message="主键-id: 数据长度不能 > 50" )
  private String id;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 缺陷状态码<br>
   */
  @ApiModelProperty("缺陷状态码")
  @Size(max = 10, message="缺陷状态码-bugStatusCode: 数据长度不能 > 10" )
  private String bugStatusCode;
  /**
   * 缺陷状态名<br>
   */
  @ApiModelProperty("缺陷状态名")
  @Size(max = 50, message="缺陷状态名-bugStatus: 数据长度不能 > 50" )
  private String bugStatus;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-idx: 数据长度不能 > 50" )
  private String idx;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;
  /**
   * 是否终态：0非终态,1终态<br>
   */
  @ApiModelProperty("是否终态：0非终态,1终态")
  @Size(max = 50, message="是否终态-isEndStatus: 数据长度不能 > 11" )
  private Integer isEndStatus;

  public String getTenantId() {
    return tenantId;
  }

  public void setTenantId(String tenantId) {
    this.tenantId = tenantId;
  }

  public Integer getIsEndStatus() {
    return isEndStatus;
  }

  public void setIsEndStatus(Integer isEndStatus) {
    this.isEndStatus = isEndStatus;
  }

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 缺陷状态码<br>
   */
  public String getBugStatusCode()
  {
      return bugStatusCode;
    }

  /**
   * 缺陷状态码<br>
   *
   * @param bugStatusCode 缺陷状态码
   */
  public void setBugStatusCode(String bugStatusCode)
  {
      this.bugStatusCode = bugStatusCode;
    }
  /**
   * 缺陷状态名<br>
   */
  public String getBugStatus()
  {
      return bugStatus;
    }

  /**
   * 缺陷状态名<br>
   *
   * @param bugStatus 缺陷状态名
   */
  public void setBugStatus(String bugStatus)
  {
      this.bugStatus = bugStatus;
    }
  /**
   * <br>
   */
  public String getIdx()
  {
      return idx;
    }

  /**
   * <br>
   *
   * @param idx 
   */
  public void setIdx(String idx)
  {
      this.idx = idx;
    }

  public BugTemplateStatus()
  {
  }

}
